gpu_to_use=${1}

num_multimodal_experts=1
num_singlemodal_experts=1
is_init_from_checkpoint=1
# model_load_dir=net_grd_avst/avst_models/moe_v2_senum-1_menum-1/avst_74.73.pt
model_load_dir=net_grd_avst/avst_models/avst.pt
skip_num=2
LR=1e-4 
num_tokens=2 

IS_SELF_ATTENTION_IN_SIGNLE_ADAPTER=1 

MODEL_SAVE_DIR="net_grd_avst/avst_models/3090_moe_v1_0_senum-${num_singlemodal_experts}_menum-${num_multimodal_experts}-lr-${LR}-skm-${skip_num}-numtok-${num_tokens}"
LOG_DIR="3090_out_v1_0_1.log"

echo saving log to ${LOG_DIR}

echo saving model to ${MODEL_SAVE_DIR}

python net_grd_avst/main_avst_v2.py --mode train \
	--audio_dir data/AVQA/vggish \
	--video_res14x14_dir data/AVQA/frames/ \
	--wandb 0 \
	--num_workers 16 \
	--lr ${LR} \
	--batch-size 2 \
	--accum_itr=4 \
	--model_name swinv2_tune_av+vggish \
	--backbone_type audioset --Adapter_downsample 8 --num_tokens ${num_tokens} \
	--model_save_dir  \
	--num_singlemodal_experts ${num_singlemodal_experts} \
	--num_multimodal_experts ${num_multimodal_experts} \
	--is_init_from_checkpoint ${is_init_from_checkpoint} \
	--model_load_dir ${model_load_dir} \
	--num_skip ${skip_num} \
	--is_self_attention ${IS_SELF_ATTENTION_IN_SIGNLE_ADAPTER} \
	--gpu ${gpu_to_use}

